Bug 2095070 - CVE-2022-31214 firejail: CVE-2022-31214: local root exploit reachable via --join logic [fedora-all]
Summary: CVE-2022-31214 firejail: CVE-2022-31214: local root exploit reachable via --j...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: firejail
Version: 36
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
Assignee: Orphan Owner
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F37FinalFreezeException CVE-2022-31214
TreeView+ depends on / blocked
 
Reported: 2022-06-08 22:55 UTC by Anten Skrabec
Modified: 2022-09-15 01:54 UTC (History)
4 users (show)

Fixed In Version: firejail-0.9.70-1.fc38 firejail-0.9.70-1.fc37 firejail-0.9.70-1.fc35 firejail-0.9.70-1.fc36
Doc Type: No Doc Update
Doc Text:
Clone Of:
Environment:
Last Closed: 2022-09-14 00:20:21 UTC
Type: ---


Attachments (Terms of Use)

Description Anten Skrabec 2022-06-08 22:55:08 UTC
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected versions
of fedora-all.

For comments that are specific to the vulnerability please use bugs filed
against the "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When submitting as an update, use the fedpkg template provided in the next
comment(s).  This will include the bug IDs of this tracking bug as well as
the relevant top-level CVE bugs.

Please also mention the CVE IDs being fixed in the RPM changelog and the
fedpkg commit message.

NOTE: this issue affects multiple supported versions of Fedora. While only
one tracking bug has been filed, please correct all affected versions at
the same time.  If you need to fix the versions independent of each other,
you may clone this bug as appropriate.

Comment 1 Anten Skrabec 2022-06-08 22:55:10 UTC
Use the following template to for the 'fedpkg update' request to submit an
update for this issue as it contains the top-level parent bug(s) as well as
this tracking bug.  This will ensure that all associated bugs get updated
when new packages are pushed to stable.

=====

# bugfix, security, enhancement, newpackage (required)
type=security

# low, medium, high, urgent (required)
severity=high

# testing, stable
request=testing

# Bug numbers: 1234,9876
bugs=2095069,2095070

# Description of your update
notes=Security fix for [PUT CVEs HERE]

# Enable request automation based on the stable/unstable karma thresholds
autokarma=True
stable_karma=3
unstable_karma=-3

# Automatically close bugs when this marked as stable
close_bugs=True

# Suggest that users restart after update
suggest_reboot=False

======

Additionally, you may opt to use the bodhi web interface to submit updates:

https://bodhi.fedoraproject.org/updates/new

Comment 2 Fedora Update System 2022-09-06 19:16:05 UTC
FEDORA-2022-674e299893 has been submitted as an update to Fedora 38. https://bodhi.fedoraproject.org/updates/FEDORA-2022-674e299893

Comment 3 Fedora Update System 2022-09-06 19:17:40 UTC
FEDORA-2022-674e299893 has been pushed to the Fedora 38 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 4 Fedora Update System 2022-09-06 19:27:48 UTC
FEDORA-2022-7ecd36b131 has been submitted as an update to Fedora 37. https://bodhi.fedoraproject.org/updates/FEDORA-2022-7ecd36b131

Comment 5 Fedora Update System 2022-09-06 19:27:49 UTC
FEDORA-2022-827d9ce8ac has been submitted as an update to Fedora 35. https://bodhi.fedoraproject.org/updates/FEDORA-2022-827d9ce8ac

Comment 6 Fedora Update System 2022-09-06 19:27:51 UTC
FEDORA-2022-e8e9b50a33 has been submitted as an update to Fedora 36. https://bodhi.fedoraproject.org/updates/FEDORA-2022-e8e9b50a33

Comment 7 Fedora Update System 2022-09-06 20:31:09 UTC
FEDORA-2022-7ecd36b131 has been pushed to the Fedora 37 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2022-7ecd36b131`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2022-7ecd36b131

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 8 Fedora Update System 2022-09-07 10:05:27 UTC
FEDORA-2022-827d9ce8ac has been pushed to the Fedora 35 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2022-827d9ce8ac`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2022-827d9ce8ac

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 9 Fedora Update System 2022-09-07 10:50:52 UTC
FEDORA-2022-e8e9b50a33 has been pushed to the Fedora 36 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2022-e8e9b50a33`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2022-e8e9b50a33

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 10 Maxwell G 2022-09-07 19:25:08 UTC
I'm reopening this bug so I can file a freeze exception request.

Comment 11 Fedora Blocker Bugs Application 2022-09-07 19:25:23 UTC
Proposed as a Freeze Exception for 37-beta by Fedora user gotmax23 using the blocker tracking app because:

 firejail-0.9.70-1.fc37 fixes a high severity security vulnerability for firejail, which is security software. The CVE was announced three months ago, but the maintainer is inactive and did not mitigate it. I updated the package as a provenpackager. I don't think we should delay this patch any longer. It's important that users get the fix ASAP.

Comment 12 Adam Williamson 2022-09-09 22:40:22 UTC
Beta is signed off, so this can't go into it. Moving to proposed Final FE, though of course it can go in before the Final freeze with no FE status needed.

Comment 13 Fedora Update System 2022-09-14 00:20:21 UTC
FEDORA-2022-7ecd36b131 has been pushed to the Fedora 37 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 14 Fedora Update System 2022-09-15 01:28:56 UTC
FEDORA-2022-827d9ce8ac has been pushed to the Fedora 35 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 15 Fedora Update System 2022-09-15 01:54:12 UTC
FEDORA-2022-e8e9b50a33 has been pushed to the Fedora 36 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.